﻿using System.Windows.Media.Imaging;
using ArcGIS.Desktop.Framework.Contracts;

namespace plugin_3dm_arcgispro
{
    internal class ButtonFootprints : Button
    {
        private BitmapImage enableImage = null;
        private BitmapImage disableImage = null;
        private bool visibleFootprints = true;

        /// <summary>
        /// Called when the footprint button is pressed
        /// </summary>
        protected override void OnClick()
        {
            if (this.enableImage == null)
            {
                string assemblyCachePath = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().Location);
                this.enableImage = new BitmapImage(new System.Uri(assemblyCachePath +"\\Images\\SDK-Plugin-Toolbar-1-Footprints-Enabled-32.png"));
                this.disableImage = new BitmapImage(new System.Uri(assemblyCachePath +"\\Images\\SDK-Plugin-Toolbar-1-Footprints-Disabled-32.png"));
            }
            if (PluginArcGIS.INSTANCE != null)
            {
                this.visibleFootprints = (this.visibleFootprints == false);
                this.LargeImage = (this.visibleFootprints) ? this.enableImage : this.disableImage;
                PluginArcGIS.INSTANCE.doShowFootprints(this.visibleFootprints);
            }
        }
    }
}
